Subject: Re: [bitcoin-dev] BIP Proposal: Receiving and Change Derivation Paths in a Single Descriptor

From: Dmitry Petukhov <[email-masked]>
Date: Thu, 4 Aug 2022 09:09:33 +0200

В Wed, 3 Aug 2022 20:16:52 -0500
Billy Tetrud <[email-masked]> wrote:

> A descriptor format is simply defining a space of address
> derivation paths. It is not describing in any way what each path is
> intended for - those are conventions outside the scope of this BIP
> IMO. Defining the conventions of derivation path indexes should be a
> separate BIP. Single responsibility principle.

I see, you're right. I misread the BIP proposal text and missed that it
describes 'receive' and 'change' only as 'common usecase', not as
definitive designations for indexes. Considering this, I too see no need
to include such conventions in this BIP.